Bug 166807 - end2end kit can't be enabled when features-on-demand are active
end2end kit can't be enabled when features-on-demand are active
Status: RESOLVED FIXED
Product: javame
Classification: Unclassified
Component: -- Other --
6.x
PC All
: P3 (vote)
: 7.0
Assigned To: Adam Sotona
issues@mobility
: ERGONOMICS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-09 19:11 UTC by matejcik
Modified: 2010-10-01 03:11 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description matejcik 2009-06-09 19:11:06 UTC
if i install netbeans with features-on-demand enabled, i can't work with mobility. whenever i try to open a j2me
project, it shows up as "broken", and details give the following error:

Not all requested modules can be enabled: [StandardModule:org.netbeans.modules.mobility.end2end.kit jarFile:
/home/matejcik/netbeans-6.7rc2/mobility8/modules/org-netbeans-modules-mobility-end2end-kit.jar]

i can't enable the mentioned end2end-kit from Plugins dialog either - attempts to activate Java ME component end with
the same error.

if i disable features-on-demand when installing, mobility works fine

this happens in ubuntu linux (tested in 8.04, 8.10 and 9.04) on both 32bit and 64bit machines. jvm is sun java 6, latest
version (but it happened on previous versions too).
this bug was present ever since i started playing with 6.7, which would be something like Milestone 8 (i think? was
there even a milestone8? definitely before beta, though)
Comment 1 Andrei Chistiakov 2009-06-10 10:50:35 UTC
I can't reproduce this issue. Mobility End To End plugin is successfully activated while opening a Mobile Application.

Product Version: NetBeans IDE 6.7 RC3 (Build 200906100001)
Java: 1.6.0_13; Java HotSpot(TM) Client VM 11.3-b02
System: Linux version 2.6.27-7-generic running on i386; UTF-8; en_US (nb)
OS: Ubuntu 8.10

Could you please attach a sample project with which the issue is reproducible for you? Thanks.
Comment 2 matejcik 2009-06-10 12:15:20 UTC
i can reproduce it even when i'm creating new project.

i did some tests and it appears that when java web+EE is installed, it works. so steps to reproduce would be:

1. start netbeans 6.7 installation (i have rc2, that's the newest one available for download)
2. choose only the following components:
 - base IDE
 - java SE
 - java ME
 - features on demand
3. install
4. start netbeans, try to create a new j2me project 

(on a side note, activating the mobility component takes too long, and i can see no significant speedup without it. so
for me it's faster to have it always active regardless of what i'm working on)
Comment 3 Andrei Chistiakov 2009-06-10 12:36:35 UTC
Yes, the issue is well reproducible by following the steps above on Windows as well. Thank you!
Comment 4 Jaroslav Tulach 2010-09-27 20:11:30 UTC
The simplest way is to remove the mobility.end2end.kit module. I don't see a reason for its existence, but maybe you can think up one. If not, then I suggest to remove it and keep just mobility.end2end which will enable itself properly when mobility and web is enabled, because it is eager.
Comment 5 Adam Sotona 2010-09-30 15:05:33 UTC
OK, after our discussion I've removed mobility.end2end.kit module
fixed in http://hg.netbeans.org/jet-main/rev/dc5d1193fc95
Comment 6 Quality Engineering 2010-10-01 03:11:29 UTC
Integrated into 'main-golden', will be available in build *201010010000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/dc5d1193fc95
User: asotona@netbeans.org
Log: fixed issues #166807 end2end kit can't be enabled when features-on-demand are active and #161355 Please consider making the Mobility End to End module invisible


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo